Package org.apache.wiki.plugin

## Class CurrentTimePlugin

- java.lang.Object
- - org.apache.wiki.plugin.CurrentTimePlugin

All Implemented Interfaces:
  `Plugin`

    public class CurrentTimePlugin
    extends java.lang.Object
    implements Plugin

Just displays the current date and time. The time format is exactly like in the java.text.SimpleDateFormat class.

Parameters :

NONE

Since:
  1.7.8
See Also:
  `SimpleDateFormat`

### Field Summary

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

### Constructor Summary

Constructors
`CurrentTimePlugin()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `execute​(Context context, java.util.Map<java.lang.String,​java.lang.String> params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CurrentTimePlugin

    public CurrentTimePlugin()

### Method Detail

#### execute

    public java.lang.String execute​(Context context,
                                    java.util.Map<java.lang.String,​java.lang.String> params)
                             throws PluginException

Specified by:
  `execute` in interface `Plugin`
Throws:
  `PluginException`